# ImageLabel

ImageLabel : `GuiObject`

## Overview

ImageLabel은 Frame과 달리 사각형 영역에 지정한 이미지를 표시할 수 있는 UI 요소입니다.

이미지의 색상 보정이나 투명도 조절은 ImageColor3 및 ImageTransparency 속성으로 제어할 수 있으며, 배경을 숨기고 이미지만 표시하고 싶다면 BackgroundTransparency를 1로 설정하면 됩니다.

ImageLabel은 **클라이언트 환경**에서만 제어할 수 있습니다.

## Properties

### Image

`string`

ImageLabel에 표시할 이미지 에셋을 지정합니다.

#### Code Samples

```lua
local ScreenGui = script.Parent
local ImageLabel = ScreenGui:WaitForChild("ImageLabel")

ImageLabel.Image = "ovdrassetid://1234"
```

### ImageColor3

`Color3`

이미지에 적용되는 색상을 지정합니다.

색을 흰색으로 두면 원본 이미지가 그대로 표시되며, 다른 색을 지정하면 이미지 전체에 그 색조가 입혀집니다.

#### Code Samples

```lua
local ScreenGui = script.Parent
local ImageLabel = ScreenGui:WaitForChild("ImageLabel")

ImageLabel.ImageColor3 = Color3.fromRGB(255, 0, 0)
```

### ImageTransparency

`number`

이미지의 투명도를 지정합니다.

0은 완전한 불투명 상태를 의미하고, 1은 전혀 보이지 않는 상태를 의미합니다.

배경을 숨기고 이미지만 표시하고 싶다면 BackgroundTransparency를 1로 설정하면 됩니다.

#### Code Samples

```lua
local ScreenGui = script.Parent
local ImageLabel = ScreenGui:WaitForChild("ImageLabel")

ImageLabel.ImageTransparency = 0.5
```

## Methods

## Events

## See also

{% content-ref url="/pages/K1g0tEWDJhh6a6E4UURk" %}
[GUI](/korean/manual/studio-manual/gui.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/imagelabel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
